// C:\JavaScriptYAngularJavaScript\C07\demostracion\tipo.ts 
// Cadena de carácteres 
let unaCadenaDeCaracteres: string; 
// Número
let unNumero: number; 
// Booleano 
let unBoleano: boolean; 
// Array 
let unArrayDeCadenaDeCaracteres: string[]; 
let unArrayDeNumeros: number[]; 
// Enumeración 
enum unaEnumeracion {}; 
let unaVariableDeTipoEnumeracion: unaEnumeracion; 
// Sin ningún tipo 
let unaVariableSinTipo: void; 
// Sin definición 
let unVariableSinDefinicion: any;
